<?php
	// Include the file containing the Spreadsheet class
	include ('classes.php');

	// Create a new instance of the Spreadsheet class
	$newSpreadsheet = new Spreadsheet;

	// Call the checkAccess() method
	$newSpreadsheet->checkAccess();

?>
<html>
<head>

<title>Data Input Form</title>
<link rel="stylesheet" type="text/css" href="style/style.css">

<script language="JavaScript">

function IsValidMonth(){
	var month = document.form1.month.value;
	var myreg
		= /\w+\d*/
	if (myreg.test(month)) {
		return true;
	}
	else {
		alert("You have entered an invalid month.");
		return false;
	}
}

function IsValidAmount(){
	var invoiced = document.form1.invoiced.value;
	var myreg
		= /(\d+\.\d+)|(\d+)/
	if (myreg.test(invoiced)) {
		return true;
	}
		else {
		alert("You have entered an invalid invoice amount.");
		return false;
	}
}

function IsValidTax(){
	var tax = document.form1.tax.value;
	var myreg
		= /(\d+\.\d+)|(\d+)/
	if (myreg.test(tax)) {
		return true;
	}
	else {
		alert("You have entered an invalid amount of tax.");
		return false;
	}
}

function IsValidNI_ees(){
	var ees = document.form1.ni_ees.value;
	var myreg
		= /(\d+\.\d+)|(\d+)/
	if (myreg.test(ees)) {
		return true;
	}
	else {
		alert("You have entered an invalid amount of employees NI.");
		return false;
	}
}

function IsValidNI_ers(){
	var ers = document.form1.ni_ers.value;
	var myreg
		= /(\d+\.\d+)|(\d+)/
	if (myreg.test(ers)) {
		return true;
	}
	else {
		alert("You have entered an invalid amount of employers NI.");
		return false;
	}
}

function IsValidExpenses(){
	var expenses = document.form1.expenses.value;
	var myreg
		= /(\d+\.\d+)|(\d+)|()/
	if (myreg.test(expenses)) {
		return true;
	}
	else {
		alert("You have entered an invalid amount of expenses.");
		return false;
	}
}

function IsValidInterest(){
	var interest = document.form1.interest.value;
	var myreg
		= /(\d+\.\d+)|(\d+)|()/
	if (myreg.test(interest)) {
		return true;
	}
	else {
		alert("You have entered an invalid amount of bank interest.");
		return false;
	}
}

function IsValidOtherRev(){
	var other_rev = document.form1.other_rev.value;
	var myreg
		= /(\d+\.\d+)|(\d+)|()/
	if (myreg.test(other_rev)) {
		return true;
	}
	else {
		alert("You have entered an invalid amount of other revenue.");
		return false;
	}
}


function IsValidPension(){
	var pension = document.form1.pension.value;
	var myreg
		= /(\d+\.\d+)|(\d+)|()/
	if (myreg.test(pension)) {
		return true;
	}
	else {
		alert("You have entered an invalid pension amount.");
		return false;
	}
}

function IsValidDeductions(){
	var deductions = document.form1.deductions.value;
	var myreg
		= /(\d+\.\d+)|(\d+)|()/
	if (myreg.test(deductions)) {
		return true;
	}
	else {
		alert("You have entered an invalid amount of deductions.");
		return false;
	}
}

function IsValidDividend(){
	var dividend = document.form1.rec_div.value;
	var myreg
		= /(\d+\.\d+)|(\d+)|()/
	if (myreg.test(dividend)) {
		return true;
	}
	else {
		alert("You have entered an invalid dividend.");
		return false;
	}
}

function checkfields() {
	if (IsValidMonth() == false) {
		return false;
	}
	if (IsValidAmount() == false) {
		return false;
	}
	if (IsValidTax() == false) {
		return false;
	}
	if (IsValidNI_ees() == false) {
		return false;
	}
	if (IsValidNI_ers() == false) {
		return false;
	}
	if (IsValidExpenses() == false) {
		return false;
	}
	if (IsValidInterest() == false) {
		return false;
	}
	if (IsValidOtherRev() == false) {
		return false;
	}
	if (IsValidPension() == false) {
		return false;
	}
	if (IsValidDeductions() == false) {
		return false;
	}
	if (IsValidDividend() == false) {
		return false;
	}
	return true;
}
</script>

</head>

<body>

<h3>Add Month</h3>


<form name="form1" method="post" action="addRow.php" onSubmit='return checkfields();'>
<table cellpadding="6" style="border-top:1px solid #009999;border-left:1px solid #009999;border-right:4px solid #009999;border-bottom:1px solid #009999;" cellpadding="0" cellspacing="0">

<tr bgcolor="#E0F0F0" style="border-top:1px solid #009999;border-right:4px solid #009999;border-left:1px solid #009999;border-bottom:1px solid #009999;">
<td colspan="2" bgcolor="#E0F0F0">


<p class="form">Year:&nbsp;
<select name="yearID">
<option value=1>2007-2008
<option value=2 selected>2008-2009
<option value=3>2009-2010
<option value=4>2010-2011
<option value=5>2011-2012
<option value=6>2012-2013
</select>

&nbsp;&nbsp;&nbsp;Month: <input type="text" name="month" maxlength="5" size="5"></p>

</td>
</tr>

<tr bgcolor="#009999" style="border:1px solid #009999">
<td width="350pt" valign="top" style="border-right:1px solid #E0F0F0;">
<p style="color:#FFFFFF;font-weight:bold;text-align:center;">Money Coming In</p>
</td>
<td width="350pt" valign="top">
<p style="color:#FFFFFF;font-weight:bold;text-align:center;">Money Going Out</p>
</td>
</tr>
<tr bgcolor="#E0F0F0" style="border-top:1px solid #009999;border-right:4px solid #009999;border-left:1px solid #009999;border-bottom:1px solid #009999;">
<td valign="top" style="border-right:1px solid #009999;border-bottom:1px solid #009999;">
<p>Amount Invoiced (net): <input type="text" name="invoiced" maxlength="10" size="10" value="0.00"></p>
<p>Bank Interest Received: <input type="text" name="interest" maxlength="10" size="10" value="0.00"></p>
<p>Other Revenue: <input type="text" name="other_rev" maxlength="10" size="10" value="0.00"></p>
</td>
<td valign="top" style="border-bottom:1px solid #009999;">
<p>Income Tax on Salary(ies): <input type="text" name="tax" maxlength="10" size="10" value="0.00"></p>
<p>Employees NI on Salary(ies): <input type="text" name="ni_ees" maxlength="10" size="10" value="0.00"></p>
<p>Employers NI on Salary(ies): <input type="text" name="ni_ers" maxlength="10" size="10" value="0.00"></p>
<p>Expenses Taken: <input type="text" name="expenses" maxlength="10" size="10" value="0.00"></p>
<p>Pension Contributions: <input type="text" name="pension" maxlength="10" size="10" value="0.00"></p>
<p>Other Deductions: <input type="text" name="deductions" maxlength="10" size="10" value="0.00"></p>
<p>Dividend Taken: <input type="text" name="rec_div" maxlength="10" size="10" value="0.00"></p>
</td>
</tr>
<tr bgcolor="#E0F0F0" style="border-top:1px solid #009999;border-right:4px solid #009999;border-left:1px solid #009999;border-bottom:1px solid #009999;">
<td colspan="2">
<p>Comments: <input type="text" name="comments" maxlength="100" size="50" value="&nbsp;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type="submit" name="Submit" value="Add Month"></p>
</td>
</tr>
</table>
</form>

</body>
</html>